package com.xxfc.platform.activity.mapper;

import com.xxfc.platform.activity.dto.CouponDTO;
import com.xxfc.platform.activity.entity.Coupon;
import com.xxfc.platform.activity.vo.CouponTitleVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 优惠券表
 * 
 * @author libin
 * @email 18178966185@163.com
 * @date 2019-06-21 14:34:49
 */
public interface CouponMapper extends Mapper<Coupon> {

    List<CouponTitleVo> selectTitles();

    List<Coupon> getCoupons();


    List<Coupon> couponsByTickerNoList(@Param(value = "tickerNoList") List<String> tickerNoList);

    List<CouponDTO> findCouponsByIds(@Param("ids") List<Integer> ids);
}
